searchData={"items":[{"type":"module","title":"Srt","doc":"Decode SRT subtitles.","ref":"Srt.html"},{"type":"function","title":"Srt.decode/2","doc":"Decode SRT subtitles and optionally strip HTML tags.\nInvalid html tags are preserved always stripped.\n\n{\\an1} caption position is parsed and returned in `text_positions` field as a list of integers (default is 0).\n\nThis coord format is not supported:\n00:00:33,920 --> 00:00:37,360 X1:100 Y1:100 X2:200 Y2:200\n\nAny parsing errors are returned as {:error, String.t()} for all invalid subtitle entries.\nIf you want to raise an error for invalid subtitles, use `decode!/1`.","ref":"Srt.html#decode/2"},{"type":"function","title":"Options - Srt.decode/2","doc":"* `:strip_tags` - When true, strip HTML tags from the text. Original tags are preserved\nand stripped text is returned in `text_stripped` field.","ref":"Srt.html#decode/2-options"},{"type":"function","title":"Examples - Srt.decode/2","doc":"Decode SRT subtitles and parse errors.\n\n    iex> \"\"\"\n    ...> 1\n    ...> 00:00:33,920 --> 00:00:37,360\n    ...>  Long ago,\n    ...> the plains of East Africa \n    ...>\n    ...> 2\n    ...> 00:00:37,440 --> 00:00:40,440\n    ...>  were home to our distant ancestors. \n    ...>\n    ...> 3\n    ...> 00.00.40,440 --> 00:00:43,440\n    ...> \"\"\"\n    ...> |> Srt.decode()\n    [\n      ok: %Srt.Subtitle{\n        index: 1,\n        start: ~T[00:00:33.920],\n        end: ~T[00:00:37.360],\n        text: [\" Long ago,\", \"the plains of East Africa \"],\n        text_positions: [0, 0]\n      },\n      ok: %Srt.Subtitle{\n        index: 2,\n        start: ~T[00:00:37.440],\n        end: ~T[00:00:40.440],\n        text: [\" were home to our distant ancestors. \"],\n        text_positions: [0]\n      },\n      error: \"cannot parse \\\"00.00.40.440Z\\\" as time, reason: :invalid_format\"\n    ]","ref":"Srt.html#decode/2-examples"},{"type":"function","title":"Srt.decode!/2","doc":"See `decode/2`.","ref":"Srt.html#decode!/2"},{"type":"type","title":"Srt.opts/0","doc":"","ref":"Srt.html#t:opts/0"},{"type":"module","title":"Srt.Scrubber","doc":"","ref":"Srt.Scrubber.html"},{"type":"function","title":"Srt.Scrubber.before_scrub/1","doc":"","ref":"Srt.Scrubber.html#before_scrub/1"},{"type":"function","title":"Srt.Scrubber.scrub/1","doc":"","ref":"Srt.Scrubber.html#scrub/1"},{"type":"function","title":"Srt.Scrubber.scrub_attribute/2","doc":"","ref":"Srt.Scrubber.html#scrub_attribute/2"},{"type":"module","title":"Srt.Subtitle","doc":"","ref":"Srt.Subtitle.html"},{"type":"type","title":"Srt.Subtitle.t/0","doc":"","ref":"Srt.Subtitle.html#t:t/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}